=== debian/changelog ===
gnuplot (6.0.3+dfsg1-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 Aug 2025 21:51:57 +0200

gnuplot (6.0.3+dfsg1-1~exp2) experimental; urgency=medium

  * [44ffae7] Revert "chore: Rename build profile nox-only -> nodoc"

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Jun 2025 06:43:16 +0200

gnuplot (6.0.3+dfsg1-1~exp1) experimental; urgency=medium

  * [ecbec40] New upstream version 6.0.3+dfsg1
  * [96e10da] chore: Update patches for gnuplot 6.0.3
  * [b8c4381] chore: Bump Standards-Version to 4.7.2
  * [56d5a8b] chore: Rename build profile nox-only -> nodoc

 -- Anton Gladky <gladk@debian.org>  Sun, 15 Jun 2025 13:19:26 +0200
